This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 636699 - Dashboard: No max limit on dashboard tab name can result in incredibly degraded performance
Dashboard: No max limit on dashboard tab name can result in incredibly degrad...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-09-22 19:52 EDT by Corey Welton
Modified: 2011-05-23 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 21:12:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
In this screenshot, a tab has (mostly) recovered and taken the new tab name given. However, a breadcrumb appears at the top using an old tab name (11.81 KB, image/png)
2010-09-22 19:54 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-09-22 19:52:12 EDT
Description of problem:
There appears to be no hard limit on tab name length.  Overrunning whatever the soft limit is can result in any number of Bad Things happening to the stability of the page.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.  Create a new tab and attempt to edit the tab name.  Copy and paste the string "01234567890" a large number of times into the field.  Note the messages at the bottom that provide a success message, until the system finally begins to fail to accept the entry
2.  Attempt to delete this string, backspacing, select-all/delete, etc.
3.  View results.
  
Actual results:
Any number of things...
* Tabs that overrun the length of the tab fields
* I have seen the system get bogged down trying to make all these immediate changes, to the point of being unresponsive
* I have seen my browser session get invalidated
* I get a "Dashboard > $foobar" breadcrumb that never seems to update even after the system has recovered and the tab has been renamed to something sane. (see forthcoming screenshot)

Expected results:
* Some reasonable maximum length for a tab name.
* Perhaps if a tab has a long name, it is truncated with ellipses as to not overrun the entire tab row, i.e., "This tab name is entirely too long t..."

Additional info:
Comment 1 Corey Welton 2010-09-22 19:54:37 EDT
Created attachment 449069 [details]
In this screenshot, a tab has (mostly) recovered and taken the new tab name given.  However, a breadcrumb appears at the top using an old tab name

.
Comment 2 Jay Shaughnessy 2011-02-11 18:17:16 EST
Should be fixed, no longer saves changes on each keystroke but rather when focus changes.
Comment 3 Corey Welton 2011-03-21 16:07:14 EDT
verified.
Comment 4 Corey Welton 2011-05-23 21:12:00 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:12:00 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.